#include "cody_connector_v1.h"


//better to put this here instead of the header
using namespace std; 



void cody_connector::DoStart() {
	BehaviorBase::DoStart(); // do this first (required)

	// try to connect and print "something"

	theSock=wireless->socket(SocketNS::SOCK_STREAM);

	//connect
	wireless->connect(theSock,"10.0.137.7",10101);
	erouter->addTimer(this,0,32,true);


}

void cody_connector::DoStop() {
	// <your shutdown code here>
	wireless->close(theSock);
	BehaviorBase::DoStop(); // do this last (required)
}

void cody_connector::processEvent(const EventBase& e) {
	static int times = 0;
	cout << "Socket Connected: " << wireless->isConnected(theSock->sock) << endl;
	cout << "Socket Ready: " << wireless->isReady(theSock->sock) << endl;

	//print
	if(wireless->isConnected(theSock->sock) && wireless->isReady(theSock->sock))
		theSock->printf("%i", times++);
	
}




/*! @file
 * $Author BHW & DTC $
 * $Name MarcoPolo main behavior $
 * $Revision 0.01 $
 * $State Development $
 * $Date 2006-03-31 $
 */

