//-*-c++-*-
#ifndef INCLUDED_cody_connector_h_
#define INCLUDED_cody_connector_h_

// This is an empty Behavior template file.
// Replace YOURNAMEHERE, cody_connector, and DESCRIPTION as appropriate, and go to town!


#include "Behaviors/BehaviorBase.h"
#include "Events/EventRouter.h"
#include "Wireless/Wireless.h"

//! DESCRIPTION
class cody_connector : public BehaviorBase {
public:
	//! constructor
	cody_connector() : BehaviorBase("cody_connector"),
	theSock(NULL) {}

	virtual void DoStart();

	virtual void DoStop();

	virtual void processEvent(const EventBase& e);

	static std::string getClassDescription() { return "CODY CONNECTOR TEST"; }
	virtual std::string getDescription() const { return getClassDescription(); }
	

protected:
	// <class members go here>
	Socket * theSock;
	
private:
	// Providing declarations for these functions will avoid a compiler warning if
	// you have any class members which are pointers.  However, as it is, an error
	// will result if you inadvertantly cause a call to either (which is probably
	// a good thing, unless you really intended to copy/assign a behavior, in
	// which case simply provide implementations for the functions)
	cody_connector(const cody_connector&); //!< don't call (copy constructor)
	cody_connector& operator=(const cody_connector&); //!< don't call (assignment operator)
};

/*! @file
 * @brief Defines cody_connector, which DESCRIPTION
 * @author YOURNAMEHERE (Creator)
 *
 * $Author$
 * $Name$
 * $Revision$
 * $State$
 * $Date$
 */

#endif
